{% load wagtailcore_tags wagtailimages_tags %}
<slide>
  <div class="relative bg-lemon hero py-0 w-full bg-lemon flex flex-col-reverse md:flex-row">
    <div class="md:w-7/12 h-96 md:h-full">
      <picture class="flex w-full h-full">
        {% image block.value.photo width-480 as img480 %}
        {% image block.value.photo width-768 as img768 %}
        {% image block.value.photo width-1120 as img1120 %}
        {% image block.value.photo width-2240 as img2240 %}
        <source srcset="{{ img480.url }} 480w, {{ img768.url }} 768w, {{ img1120.url }} 1120w, {{ img2240.url }} 2240w" sizes="(min-width: 768px) 50vw, 100vw" type="image/jpeg">
        <img class="object-cover flex-grow" src="{{ img768.url }}" alt="{{ block.value.title }}" loading="lazy">
      </picture>
    </div>
    <div class="md:w-5/12 px-5 md:px-8 xl:px-16 py-9 md:pt-12 xl:pt-16 md:relative h-full">
      <h1 class="head-alt-md text-5xl xl:text-6xl pt-1 mb-5 max-w-xs md:max-w-sm">{{ block.value.title }}</h1>
      <div class="md:absolute md:right-0 md:bottom-24 md:w-full md:px-8 xl:px-16 md:text-left">
        {% if block.value.page %}
          <a href="{% pageurl block.value.page %}">
            <button class="btn btn--icon btn--hoveractive md:text-xl">
              <div class="btn__body-wrap">
                <div class="btn__body md:py-4 md:leading-5 hover:bg-grey-800">{{ block.value.button_label }}</div>
                <div class="btn__icon bg-grey-800">
                  <i class="ico--chevron-right"></i>
                </div>
              </div>
            </button>
          </a>
        {% elif block.value.raw_url %}
          <a href="{{ block.value.raw_url }}">
            <button class="btn btn--icon btn--hoveractive md:text-xl">
              <div class="btn__body-wrap">
                <div class="btn__body md:py-4 md:leading-5 hover:bg-grey-800">{{ block.value.button_label }}</div>
                <div class="btn__icon bg-grey-800">
                  <i class="ico--chevron-right"></i>
                </div>
              </div>
            </button>
          </a>
        {% endif %}
      </div>
    </div>
  </div>
</slide>
